// 帖子类型
import {Info} from './Info';

export enum ForumType {
  active = 'active',
  topic = 'topic',
  complan = 'complan'
}

export enum ForumStatus {
  uncheck = 'uncheck',
  ok = 'ok',
  fail = 'fail'
}

export interface Forum {
  // 帖子
  id: string;
  // 帖子标题
  title: string;
  // 回复数
  reply: number;
  // 帖子类型
  forumType: ForumType;
  // 缩略内容
  content: string;
  // 发帖人
  username: string;
  // 发帖时间
  time: number;
  // 活动贴信息
  activeDto: Active;
  // 投诉贴信息
  complainDto: Complaint;
  // 结算信息
  score: Score;
  // 发帖人详情信息
  info: Info;
}


// 活动帖
export interface Active {
  // 活动开始时间
  activeStartTime: number;
  // 活动结束时间
  activeEndTime: number;
  // 活动奖励分
  activeScore: number;
  // 报名截止日期
  registrationDeadline: number;
}

// 结算贴
export interface Score {
  // 结算分数
  activeScore: number;
}

// 投诉帖
export interface Complaint {
  // 投诉人
  complain: string;

  // 投诉人详情信息
  info: Info;
}
