import {Result} from './Result';
import {Token} from './Token';
import {EmailType} from './EmailType';
import {Notice} from './Notice';
import {Forum} from './ForumType';
import {Page} from './Page';
import {Visitor} from './Visitor';
import {Info} from './Info';

export interface Response {
  //    响应结果
  result: Result;
  //   响应详细结果
  message: string;
}

/**
 * 注销响应
 */
// tslint:disable-next-line:no-empty-interface
export interface LogoutResponse extends Response {

}

/**
 * 管理员登录响应
 */
export interface LoginResponse extends Response {
  managerToken: Token;
}

// 注册响应
// tslint:disable-next-line:no-empty-interface
export interface RegisterResponse extends Response {

}

// 邮箱类型响应
export interface EmailTypeResponse extends Response {
  emailTypeList: Array<EmailType>;
}

// 重置密码响应
// tslint:disable-next-line:no-empty-interface
export interface ResetpwdResponse extends Response {

}

// 公告信息响应
export interface ForumNoticeResponse extends Response {
  noticeList: Array<Notice>;
}

// 帖子信息响应
export interface ForumNewResponse extends Response {
  forumList: Page<Forum>;
}

// 访客信息响应
export interface VisitorResponse extends Response {
  visitorList: Page<Visitor>;
}

// 用户信息响应
export interface UserResponse extends Response {
  myInfos: Page<Info>;
}
